@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}

.theme-input {
  @apply block px-6 py-4 bg-white text-theme-gray-575 appearance-none dark:focus:border-theme-gray-575 focus:outline-none focus:ring-0 focus:border-theme-gray-575 md:text-base text-sm w-full rounded-lg outline-none border border-theme-gray-125 placeholder:text-theme-gray-275 caret-theme-green-100 h-14;
}

.theme-input-label {
  @apply pointer-events-none px-3 text-gray-400 absolute rounded-lg duration-300 transform -translate-y-5 scale-75 top-2 z-10 origin-[0] peer-focus:px-2 peer-focus:text-theme-gray-575 peer-focus:dark:text-theme-gray-575 peer-placeholder-shown:scale-100 peer-placeholder-shown:-translate-y-1/2 peer-placeholder-shown:top-7 peer-focus:top-2 peer-focus:scale-75 peer-focus:-translate-y-5 left-4 bg-white md:text-base text-sm;
}
